# Grouped expressions

> Syntax
> GroupedExpression :
> `(` Expression `)`

An expression enclosed in parentheses evaluates to the result of the enclosed expression. Parentheses can be used to explicitly specify evaluation order within an expression.

An example of a parenthesized expression:

    # #![allow(unused_variables)]
    #fn main() {
    let x: i32 = 2 + 3 * 4;
    let y: i32 = (2 + 3) * 4;
    assert_eq!(x, 14);
    assert_eq!(y, 20);
    #}

An example of a necessary use of parentheses is when calling a function pointer that is a member of a struct:

    # #![allow(unused_variables)]
    #fn main() {
    # struct A {
    #    f: fn() -> &'static str
    # }
    # impl A {
    #    fn f(&self) -> &'static str {
    #        "The method f"
    #    }
    # }
    # let a = A{f: || "The field f"};
    #
    assert_eq!( a.f (), "The method f");
    assert_eq!((a.f)(), "The field f");
    #}